// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    @property(cc.RichText)
    a: cc.RichText = null;
    @property(cc.RichText)
    b: cc.RichText = null;
    start() {

    }

    update(dt) {

        this.a.node.active = false;
        this.a.string = '<color=#00ff00>Ri1ch</c><color=#0fffff>Text</color>';
        this.a.node.active = true;

    }

    btn() {
        this.b.node.active = false;
        this.b.string = '<color=#00ff00>Ri000ch</c><color=#0fffff>Text</color>';
        this.b.node.active = true;

    }
}
